Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: mingw-jasper
Version: epel7
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Richard W.M. Jones
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1463997 (view as bug list)
Depends On:
Blocks: CVE-2017-6852 CVE-2017-6851 CVE-2017-9782 CVE-2017-13745 CVE-2017-13747 CVE-2017-13748 CVE-2017-13749 CVE-2017-13751 CVE-2017-13752 CVE-2017-14132 1434442 CVE-2017-6850 CVE-2016-10251 CVE-2017-1000050 CVE-2017-13746 CVE-2017-13750
TreeView+ depends on / blocked
 
Reported: 2017-03-21 14:44 UTC by Adam Mariš
Modified: 2020-02-13 11:54 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-02-13 11:54:35 UTC
Type: ---


Attachments (Terms of Use)

Description Adam Mariš 2017-03-21 14:44:07 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of epel-7.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

Comment 1 Adam Mariš 2017-03-21 14:44:11 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1434458,1434459,1434461

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Andrej Nemec 2017-03-23 14:32:04 UTC
Adding parent bug 1435324 (for CVE-2017-6851).  Please use this new fedpkg update template when submitting the update:

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1434465,1434458,1434459,1434461,1435324

# Description of your update
notes=Security fix for CVE-2017-6850, CVE-2017-6852, CVE-2016-10251, CVE-2017-6851

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Comment 3 Andrej Nemec 2017-06-22 09:04:10 UTC
*** Bug 1463997 has been marked as a duplicate of this bug. ***

Comment 4 Andrej Nemec 2017-07-19 15:21:51 UTC
Added new parent flaw bug 1434442, 1472888 (CVE-2017-1000050) to this tracking bug.

Comment 5 Andrej Nemec 2017-09-06 14:05:38 UTC
Added new parent flaw bug 1488958 (CVE-2017-13745), 1488959 (CVE-2017-13746), 1488960 (CVE-2017-13747), 1488961 (CVE-2017-13748), 1488962 (CVE-2017-13749), 1488963 (CVE-2017-13750), 1488964 (CVE-2017-13751), 1488965 (CVE-2017-13752) to this tracking bug.

Comment 6 Andrej Nemec 2017-09-07 07:40:51 UTC
Added new parent flaw bugs 1489304 (CVE-2017-14132) to this tracking bug.

Comment 7 Richard W.M. Jones 2020-02-13 11:54:35 UTC
All mingw-* EPEL 7 components have been retired.  Please see:

https://pagure.io/fesco/issue/2333

Therefore this bug no longer applies and is being mass closed.


Note You need to log in before you can comment on or make changes to this bug.